Subject: bug#39843: Can't open files through file managers in other DEs and WMs

From: sirgazil <[email-masked]>
Date: Sat, 29 Feb 2020 15:29:14 -0500

I installed the Guix System several months ago and selected GNOME as the Desktop Environment (DE). Recently, however, I decided to fallback to another DE or Window Manager (WM) because of a memory issue in GNOME (see https://lists.gnu.org/archive/html/help-guix/2020-02/msg00206.html). So far I have installed XFCE, MATE and sway, but, in all of them I can't open most files using their default file managers: Thunar (XFCE), Caja (MATE), Nautilus (sway [not really a default]).

Performing the following operations to open files from file managers fail for most file types (PNG, PDF, HTML, ODT, SVG, ...):

• Double clicking a file.
• Pressing Enter on a file.
• Right clicking a file and selecting the default app for that kind of file.
• Right clicking a file and selecting another application from a list of suggested apps.

The only kind of file that opens correctly so far is MP3.

Doing the following from a terminal opens files correctly in the default applications:

  $ xdg-open path/to/file.png
  $ xdg-open path/to/file.pdf

(Note that I never use xdg-utils directly to manipulate MIME types and default apps associations. I leave that to GUIs provided by DEs.)

System Information:

MATE 1.22.0
XFCE 4.14.0
sway 1.2
guix 079ee3b
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 079ee3b5ea7e9e9bf34753df42957d280e8eabc5

---
https://sirgazil.bitbucket.io/